# Please do not update/rebuild/touch this package before asking first to matteo and/or anaselli

%define pkgconfigdir	%_datadir/pkgconfig

%define qtxdglibdevel	%mklibname qtxdg -d
%define libnamedevel	%mklibname %name -d

%define gitdate		20140117
%define minor		42
%define oversion	0.5.0
%define oname		razor

Name:		%{oname}qt
Version:	0.5.3
Release:	%mkrel -c git%{gitdate} 2
#Release:	%mkrel 2
License:	LGPLv2+
# git archive origin/master --prefix=razor-qt-git20140117/ | bzip2 -9 > razor-qt-git20140117.tar.bz2 
Source0:	razor-qt-git%{gitdate}.tar.bz2
# stable release
#Source0:	http://razor-qt.org/downloads/%{name}-%{version}.tar.bz2

# mageia 4 theme - based on razorqt light theme
# https://bitbucket.org/_pmat_/razorqt-mga-themes/
Source1:	mga4-light-theme.tar.bz2
# script made to workaround the bug mga#11358
# it also updates the razor panel configuration file into the
# user's home directory
Source2:	fixrazorpanel.sh

Patch0:		%{name}-config-mouse-desktop.patch
Patch1:		%{name}-autosuspend-desktop.patch
Patch2:		%{name}-mga-theme.patch
Patch3:		%{name}-autostart.patch
Patch4:		%{oname}-panel-quicklaunch.patch
Patch5:		%{name}-0.5.0-systemd.patch
Patch6:		%{name}-0.5.2-fix-build-with-latest-lightdm.patch
Patch7:		razor-qt-desktop_category.patch
Patch8:		%{name}-dev-version.patch
Patch9:		razor-qt-git20140117-prevent-double-fork.patch
Group:		Graphical desktop/Other
Summary:	Razor is a lightweight desktop toolbox
Url:		http://%{oname}-qt.org
BuildRequires:	cmake
BuildRequires:	file-devel
BuildRequires:	qt4-devel >= 4.6.0
BuildRequires:	qt4-linguist
BuildRequires:	libxcomposite-devel
BuildRequires:	udev-devel >= 128
BuildRequires:	doxygen
BuildRequires:	libxcursor-devel
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(liblightdm-qt-3)
BuildRequires:	pkgconfig(polkit-qt-agent-1)
BuildRequires:	pkgconfig(polkit-agent-1)
BuildRequires:	pkgconfig(libstatgrab)

%description
Razor-qt is an advanced, easy-to-use, and fast desktop environment based on 
Qt technologies. It has been tailored for users who value simplicity, speed, 
and an intuitive interface. 

#------------------------------------------------------------------------------

%define		librazormount_major 0
%define		librazormount %mklibname razormount %{librazormount_major}

%package -n	%librazormount
Summary:	RazorQt shared library
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazormount
%{summary}

%files -n	%librazormount
%_libdir/lib%{oname}mount.so.%{librazormount_major}*
%pkgconfigdir/%{oname}mount.pc

#------------------------------------------------------------------------------

%define		librazorqt_major 0
%define		librazorqt %mklibname razorqt %{librazorqt_major}

%package -n	%librazorqt
Summary:	RazorQt shared library
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazorqt
%{summary}

%files -n	%librazorqt
%_libdir/lib%{oname}qt.so.%{librazorqt_major}*
%pkgconfigdir/%{name}.pc

#------------------------------------------------------------------------------

%define		librazorsysstat_major 0
%define		librazorsysstat %mklibname razorsysstat %{librazorsysstat_major}
%define		develrazorsysstat %mklibname razorsysstat -d

%package -n	%librazorsysstat
Summary:	Qt-based interface to system statistics
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazorsysstat
%{summary}

%files -n	%librazorsysstat
%_libdir/libsysstat.so.%{librazorsysstat_major}*

#------------------------------------------------------------------------------

%package -n     %develrazorsysstat
Summary:	Development files for librazorsysstat
Group:		Development/C++
License:	LGPLv2+
Requires:	%librazorsysstat = %{version}-%{release}

%description -n %develrazorsysstat
%{summary}

%files -n %develrazorsysstat
%{_includedir}/sysstat/basestat.h
%{_includedir}/sysstat/cpustat.h
%{_includedir}/sysstat/memstat.h
%{_includedir}/sysstat/netstat.h
%{_includedir}/sysstat/sysstat_global.h
%{_includedir}/sysstat/version.h
%{_libdir}/libsysstat.so
%pkgconfigdir/sysstat.pc

#------------------------------------------------------------------------------

%define		libqtxdg_major 0
%define		libqtxdg %mklibname qtxdg %{libqtxdg_major}

%package -n	%libqtxdg
Summary:	Xdg manipulation library using Qt4
Group:		System/Libraries
# qiconloader.cpp and qiconloader_p.h -> lgplv2
# xdg* files -> lgplv2+
License:	LGPLv2+

%description -n %libqtxdg
%{summary}

%files -n	%libqtxdg
%_libdir/libqtxdg.so.%{libqtxdg_major}*

#--------------------------------------------------------------------

%package -n     %libnamedevel
Summary:	RazorQt development package
Group:		Development/Other
Requires:	%librazormount = %{version}-%{release}
Requires:	%librazorqt = %{version}-%{release}
#Requires:	%librazorqxt = %{version}-%{release}
License:	GPLv2 and LGPLv2+

%description -n %libnamedevel
%{summary}

%files -n	%libnamedevel
%{_libdir}/lib%{oname}*.so
%{_includedir}/%{oname}*/
%{_bindir}/%{oname}-x11info

#------------------------------------------------------------------------------

%package -n     %{qtxdglibdevel}
Summary:	Development files for QtXdg library
Group:		Development/Other
Requires:	%{libqtxdg} = %{version}-%{release}
License:	LGPLv2+

%description -n %{qtxdglibdevel}
%{summary}

%files -n	%{qtxdglibdevel}
%{_libdir}/libqtxdg.so
%{_includedir}/qtxdg/
%pkgconfigdir/qtxdg.pc

#--------------------------------------------------------------------

%package	appswitcher
Summary:	RazorQt application switcher
Group:		System/X11
Requires:	%{name}-data = %{version}-%{release}
License:	LGPLv2+

%description    appswitcher
%{summary}

%files		appswitcher
%{_bindir}/%{oname}-appswitcher

#--------------------------------------------------------------------

%package	desktop
Summary:	RazorQt desktop
Group:		Graphical desktop/Other
Requires:	%{name}-data = %{version}-%{release}
Requires:	%{name}-config-desktop = %{version}-%{release}
License:	LGPLv2+

%description    desktop
%{summary}

%files		desktop
%{_bindir}/%{oname}-desktop
%{_libdir}/%{oname}-desktop
%dir %{_datadir}/%{oname}
%{_sysconfdir}/%{oname}/desktop.conf
%{_datadir}/%{oname}/%{oname}-desktop/

#--------------------------------------------------------------------

%package	panel
Summary:	RazorQt panel
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{name}-data  = %{version}-%{release}
Requires:	%{name}-config-appearance = %{version}-%{release}
Requires:	%{name}-config-mouse = %{version}-%{release}

%description    panel
%{summary}

%files		panel
%{_bindir}/%{oname}-panel
%{_libdir}/%{oname}-panel/
%{_datadir}/%{oname}/%{oname}-panel/
%{_sysconfdir}/%{oname}/panel.conf

#--------------------------------------------------------------------

%package	data
Summary:	RazorQt resources and shared data
Group:		Graphical desktop/Other
BuildArch:	noarch

%description    data
%{summary}

%files		data
%dir %{_datadir}/%{oname}
%dir %{_datadir}/%{oname}/themes
%dir %{_datadir}/%{oname}/graphics
%{_sysconfdir}/%{oname}/%{oname}.conf
%{_datadir}/%{oname}/graphics/*
%{_datadir}/%{oname}/themes/*
%config %_sysconfdir/xdg/menus/%{oname}-applications.menu
%config %_sysconfdir/xdg/autostart/*.desktop
%config %_sysconfdir/%{oname}/windowmanagers.conf
%{_datadir}/desktop-directories/%{oname}*
%{_datadir}/lib%{name}
%{_datadir}/libqtxdg/
# temp files - it will be removed when it becomes part of upstream
%{_datadir}/icons/hicolor/scalable/apps/laptop-lid*

#--------------------------------------------------------------------

%package	autosuspend
Summary:	RazorQt autosuspend application
Group:		Graphical desktop/Other
Requires:	%{name}-data = %{version}-%{release}
Requires:	%{name}-config-autosuspend = %{version}-%{release}
Requires:	%{name}-power = %{version}-%{release}
License:	LGPLv2+

%description	autosuspend
%{summary}

%files		autosuspend
%{_bindir}/%{oname}-autosuspend
#%{_datadir}/applications/%{oname}-autosuspend.desktop
%dir %{_datadir}/%{oname}/%{oname}-autosuspend
%{_datadir}/%{oname}/%{oname}-autosuspend/*
%{_iconsdir}/hicolor/scalable/apps/%{oname}-autosuspend.svg
%{_sysconfdir}/%{oname}/%{oname}-autosuspend.conf

#--------------------------------------------------------------------

%package	power
Summary:	RazorQt power application
Group:		Graphical desktop/Other
Requires:	%{name}-data = %{version}-%{release}
Requires:	upower
License:	LGPLv2+

%description    power
%{summary}

%files		power
%{_bindir}/%{oname}-power
%dir %{_datadir}/%{oname}/%{oname}-power
%{_datadir}/%{oname}/%{oname}-power/*.qm
%{_datadir}/applications/%{oname}-power.desktop

#--------------------------------------------------------------------

%package	runner
Summary:	RazorQt runner application
Group:		Graphical desktop/Other
Requires:	%{name}-data = %{version}-%{release}
License:	LGPLv2+

%description    runner
%{summary}

%files		runner
%{_bindir}/%{oname}-runner
%dir %{_datadir}/%{oname}/%{oname}-runner
%{_datadir}/%{oname}/%{oname}-runner/*

#--------------------------------------------------------------------

%package	notificationd
Summary:	RazorQt notification system
Group:		Graphical desktop/Other
Requires:	%{name}-config-notificationd

%description	notificationd
%{summary}

%files		notificationd
%{_bindir}/%{oname}-notificationd
#%{_datadir}/%{oname}/%{oname}-notificationd/%{oname}-notificationd_*.qm

#--------------------------------------------------------------------

%define		librazorglobalkeyshortcuts_major 0
%define		librazorglobalkeyshortcuts %mklibname razorglobalkeyshortcuts %{librazorglobalkeyshortcuts_major}
%define		develrazorglobalkeyshortcuts %mklibname razorglobalkeyshortcuts -d

%package	globalkeyshortcuts
Summary:	RazorQt global key shortcuts system
Group:		Graphical desktop/Other
Requires:	%{name}-config-globalkeyshortcuts
Requires:	%librazorglobalkeyshortcuts = %{version}

%description	globalkeyshortcuts
%{summary}

%files		globalkeyshortcuts
%{_bindir}/%{oname}-globalkeyshortcuts

#--------------------------------------------------------------------
# library
%package -n 	%librazorglobalkeyshortcuts
Summary:	Razor global key shortcuts shared library
Group:		System/Libraries
License:	LGPLv2+

%description -n %librazorglobalkeyshortcuts
%{summary}

%files -n	%librazorglobalkeyshortcuts
%{_libdir}/librazor-global-key-shortcut-selector.so.%{librazorglobalkeyshortcuts_major}*
%{_libdir}/librazor-global-key-shortcuts-client.so.%{librazorglobalkeyshortcuts_major}*

# library headers
%package -n	%develrazorglobalkeyshortcuts
Summary:	Development files for librazorglobalkeyshortcuts
Group:		Development/C++
License:	LGPLv2+
Requires:	%librazorglobalkeyshortcuts = %{version}-%{release}

%description -n %develrazorglobalkeyshortcuts
%{summary}

%files -n	%develrazorglobalkeyshortcuts
%pkgconfigdir/razor-global-key-shortcut-selector.pc
%pkgconfigdir/razor-global-key-shortcuts-client.pc
%{_includedir}/razor-global-key-shortcuts-client.h

#--------------------------------------------------------------------

%package	session
Summary:	RazorQt session
Group:		Graphical desktop/Other
Requires:	%{name}-data = %{version}-%{release}
Requires:	%{name}-config-session = %{version}-%{release}
Requires:	%{name}-notificationd = %{version}-%{release}
Requires:	%{name}-globalkeyshortcuts = %{version}-%{release}
Requires:	%{name}-config-file-associations = %{version}-%{release}
Requires:	%librazorsysstat = %{version}-%{release}
Requires:	openbox
License:	LGPLv2+

%description    session
%{summary}

%files		session
%doc README.0.5.3.upgrade.urpmi
%{_bindir}/%{oname}-session
%{_bindir}/%{oname}-about
%{_bindir}/%{oname}-openssh-askpass
%{_bindir}/start%{oname}
%{_datadir}/applications/%{oname}-about.desktop
%{_sysconfdir}/%{oname}/session.conf
%dir %{_datadir}/%{oname}/%{oname}-session
%{_datadir}/%{oname}/%{oname}-session/*
%{_sysconfdir}/X11/wmsession.d/*
#{_datadir}/%{oname}/%{oname}-openssh-askpass/%{oname}-openssh-askpass_*.qm
%{_bindir}/fixrazorpanel

#--------------------------------------------------------------------

%package	config
Summary:	RazorQt config tools
Group:		Graphical desktop/Other
License:	LGPLv2+
Requires:	%{name}-data = %{version}-%{release}

%description    config
%{summary}

%files		config
%{_bindir}/%{oname}-config
%{_datadir}/applications/%{oname}-config.desktop
%{_datadir}/applications/%{oname}-config-qtconfig.desktop
%config %_sysconfdir/xdg/menus/%{oname}-config.menu
%dir %{_datadir}/%{oname}/%{oname}-config
%{_datadir}/%{oname}/%{oname}-config/razor-config-appearance*.qm
%{_datadir}/%{oname}/%{oname}-config/%{oname}-config_*.qm

#--------------------------------------------------------------------

%package config-file-associations
Summary:	Razor file association configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

%description config-file-associations
%{summary}

%files config-file-associations
%{_bindir}/razor-config-file-associations
%{_datadir}/applications/razor-config-file-associations.desktop

#--------------------------------------------------------------------

%package	config-globalkeyshortcuts
Summary:	RazorQt globalkeyshortcuts configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

%description	config-globalkeyshortcuts
%{summary}

%files		config-globalkeyshortcuts	
%{_bindir}/%{oname}-config-globalkeyshortcuts
%{_datadir}/applications/%{oname}-config-globalkeyshortcuts.desktop
%{_datadir}/%{oname}/%{oname}-config-globalkeyshortcuts/%{oname}-config-globalkeyshortcuts*.qm

#--------------------------------------------------------------------

%package	config-notificationd
Summary:	RazorQt notificationd configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

%description	config-notificationd
%{summary}

%files		config-notificationd	
%{_bindir}/%{oname}-config-notificationd
%{_datadir}/applications/%{oname}-config-notificationd.desktop
#{_datadir}/%{oname}/%{oname}-config-notificationd/%{oname}-config-notificationd_*.qm

#--------------------------------------------------------------------

%package	config-desktop
Summary:	RazorQt desktop configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

Conflicts:	%{name}-desktop < 0.4.99-0.git20120914.2

%description	config-desktop
%{summary}

%files		config-desktop	
%{_bindir}/%{oname}-config-desktop
%{_datadir}/applications/%{oname}-config-desktop.desktop


#--------------------------------------------------------------------

%package	config-autosuspend
Summary:	RazorQt autosuspend configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

%description	config-autosuspend
%{summary}

%files		config-autosuspend	
%{_bindir}/%{oname}-config-autosuspend
%{_datadir}/applications/%{oname}-config-autosuspend.desktop
%{_datadir}/%{oname}/%{oname}-config-autosuspend/%{oname}-config-autosuspend*.qm

#--------------------------------------------------------------------

%package	config-session
Summary:	RazorQt session configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}

Conflicts:	%{name}-session < 0.4.99-0.git20120914.2

%description	config-session
%{summary}

%files		config-session	
%{_bindir}/%{oname}-config-session
%{_datadir}/applications/%{oname}-config-session.desktop
%dir %{_datadir}/%{oname}/%{oname}-config-session
%{_datadir}/%{oname}/%{oname}-config-session/*

#--------------------------------------------------------------------

%package	config-mouse
Summary:	RazorQt mouse configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}
License:	GPLv2 or GPLv3

%description	config-mouse
%{summary}

%files		config-mouse	
%{_bindir}/%{oname}-config-mouse
%{_datadir}/applications/%{oname}-config-mouse.desktop
%{_datadir}/%{oname}/%{oname}-config/%{oname}-config-mouse*.qm

#--------------------------------------------------------------------

%package	config-appearance
Summary:	RazorQt appearance configuration tool
Group:		Graphical desktop/Other
Requires:	%{name}-config = %{version}-%{release}
License:	LGPLv2+

%description	config-appearance
%{summary}

%files		config-appearance	
%{_bindir}/%{oname}-config-appearance
%{_datadir}/applications/%{oname}-config-appearance.desktop


#--------------------------------------------------------------------

%package	confupdate
Summary:	RazorQt configuration update tool
Requires:	%{name}-data = %{version}-%{release}

%description	confupdate
Tool to update configuration from razorqt version 0.4.1 to 0.5.0

%files		confupdate
%{_bindir}/%{oname}-confupdate
%{_bindir}/%{oname}-confupdate_test
%dir %{_datadir}/%{oname}/%{oname}-confupdate
%{_datadir}/%{oname}/%{oname}-confupdate/desktop-041-050.py
%{_datadir}/%{oname}/%{oname}-confupdate/%{oname}-0.5.upd
%{_libdir}/%{oname}-confupdate_bin/sesion_modules
%{_datadir}/%{oname}/%{oname}-confupdate/desktop-041-050.pyc
%{_datadir}/%{oname}/%{oname}-confupdate/desktop-041-050.pyo


#--------------------------------------------------------------------

%package	policykit-agent
Summary:	A Qt based PolicyKit agent
Group:		Graphical desktop/Other

%description	policykit-agent
%{summary}

It provides a simple agent for the usage of RazorQt desktop or
any other desktop.

%files		policykit-agent
%{_bindir}/%{oname}-policykit-agent
#{_datadir}/%{oname}/%{oname}-policykit-agent/%{oname}-policykit-agent_*.qm

#--------------------------------------------------------------------

%package -n lightdm-%{name}-greeter
Summary:	LightDM greeter that uses the Razor-qt (Qt based) lib kit
Group:		Graphical desktop/Other
Provides:	lightdm-greeter
Requires:	%{name}-data = %{version}-%{release}
Requires:	%{name}-power = %{version}-%{release}
Requires:	lightdm

%description -n lightdm-%{name}-greeter
A LightDM greeter that uses the Razor-qt and Qt libraries, it was written
for Razor-qt but it can be used standalone as well.

This package is part of the Razor-qt.

%files -n lightdm-%{name}-greeter
%{_bindir}/razor-lightdm-greeter
%{_datadir}/xgreeters/lightdm-razor-greeter.desktop
#{_datadir}/%{oname}/%{oname}-lightdm-greeter/%{oname}-lightdm-greeter_*.qm
%{_sysconfdir}/lightdm/lightdm-razor-greeter.conf


%post -n lightdm-%{name}-greeter
%{_sbindir}/update-alternatives \
	--install %{_datadir}/xgreeters/lightdm-greeter.desktop \
	lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-razor-greeter.desktop \
	10
# workaround to show the mcc icon into the menu
ln -sf /usr/share/icons/drakconf.png /usr/share/icons/hicolor/32x32/apps/

%postun -n lightdm-%{name}-greeter
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
	--remove lightdm-greeter \
	%{_datadir}/xgreeters/lightdm-razor-greeter.desktop
fi
unlink /usr/share/icons/hicolor/32x32/apps/drakconf.png

#--------------------------------------------------------------------

%prep
# git
#%setup -q -n Razor-qt-razor-qt-%{git}
# stable release
%setup -q -n %{oname}-qt-git%{gitdate}
%patch2 -p1 -b .mgatheme
%patch4 -p1 -b .razorpanelquicklaunch
#%patch5 -p1 -b .rzrsystemd
%patch6 -p1 -b .liblightdm-qt
%patch7 -p1 -b .desktopbadcategory
%patch8 -p1 -b .devversion
%patch9 -p1 -b .prevent-double-fork

%build
%cmake_qt4 \
	-DENABLE_POLICYKIT=ON \
	-DBUNDLE_XDG_UTILS=NO \
	-DBUILD_TESTS=Yes
%make 

%install
%makeinstall_std -C build

pushd %{buildroot}%{_datadir}/%{oname}/themes/
tar -xjf %{SOURCE1}
popd

install -m 755 %{SOURCE2} %{buildroot}%{_bindir}/fixrazorpanel

install -D -d -m 755 %{buildroot}%{_datadir}/pkgconfig
mv %{buildroot}%{_libdir}/pkgconfig/*.pc %{buildroot}%{_datadir}/pkgconfig
rm -fr %{buildroot}%{_libdir}/pkgconfig

for i in `find %{buildroot}%{_datadir}/applications/ -type f -name "*.desktop"`;
do
	desktop-file-validate $i
done

#========================================
# upgrade infos
cat > README.0.5.3.upgrade.urpmi << EOF
Before using razor-qt for the first time after this upgrade
you should run the script %{_bindir}/fixrazorpanel to
check that at least an icon theme is present and 
to update the razor-panel configuration file inside the
users home directories (e.g. ~/.config/razor).

This script must be run with root privileges.

EOF

#========================================
# the session file

mkdir -p %{buildroot}%{_sysconfdir}/X11/wmsession.d
outfile=%{buildroot}%{_sysconfdir}/X11/wmsession.d/05%{oname}

cat > $outfile << EOF
NAME=RazorDesktop
DESC=The RazorQt Desktop Environment
EXEC=/usr/bin/start%{oname}
SCRIPT:
exec /usr/bin/start%{oname}

EOF

rm -f %{buildroot}%{_datadir}/apps/kdm/sessions/*.desktop
rm -f %{buildroot}%{_datadir}/xsessions/*.desktop


%changelog
* Sun Jan 19 2014 colin <colin> 0.5.3-0.git20140117.2.mga4
+ Revision: 566994
- Prevent double forking when launching processes to fix polkit auth mga#12313

* Fri Jan 17 2014 matteo <matteo> 0.5.3-0.git20140117.1.mga4
+ Revision: 566729
- fixed bad mageia-drakconf.desktop file path (partially fixes missing menu item - bug mga#12287)
- symlink drakconf.png to hicolor/32x32/apps (partially workaround icon issue - bug mga#12287)

* Tue Oct 22 2013 umeabot <umeabot> 0.5.3-0.git20131015.2.mga4
+ Revision: 545331
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 matteo <matteo> 0.5.3-0.git20131015.1.mga4
+ Revision: 501136
- uploaded new git master source archive
- uploaded source archive (git master)
- dropping old source archive

* Sat Oct 12 2013 matteo <matteo> 0.5.3-0.git20131003.1.mga4
+ Revision: 495665
- new development version (0.5.3)
- workaround for bug mga#11358 (missing icons make applets invisible in razorqt)
- new mga4-light theme

* Sat May 25 2013 wally <wally> 0.5.2-2.mga4
+ Revision: 427269
- add patch to build lightdm greeter with new lightdm

* Sat Feb 16 2013 doktor5000 <doktor5000> 0.5.2-1.mga3
+ Revision: 398699
- new version 0.5.2
- added BuildRequires on statgrab-devel for cpu load and network monitor panel
  plugins
- fixed URL
- removed wrong/useless Conflicts/Obsoletes
- added correct Conflicts to allow Mageia 2 -> 3 upgrade
- enabled tests

* Thu Jan 17 2013 matteo <matteo> 0.5.1-5.mga3
+ Revision: 389173
- updated patch razor-panel-quicklaunch (use qupzilla instead of arora)

* Mon Jan 14 2013 umeabot <umeabot> 0.5.1-4.mga3
+ Revision: 380213
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 matteo <matteo> 0.5.1-3.mga3
+ Revision: 339385
- razorqt-power: added missing requirement (upower)

* Sat Oct 27 2012 wally <wally> 0.5.1-2.mga3
+ Revision: 310714
- use system xdg-utils

* Tue Oct 23 2012 matteo <matteo> 0.5.1-1.mga3
+ Revision: 309454
- new version

* Tue Oct 23 2012 fwang <fwang> 0.5.0-6.mga3
+ Revision: 309328
- set data package as noarch

* Mon Oct 22 2012 matteo <matteo> 0.5.0-5.mga3
+ Revision: 309310
- added patch the should fix bug mga#7858
- added subpackage razorqt-policykit-agent

* Mon Oct 22 2012 wally <wally> 0.5.0-4.mga3
+ Revision: 309238
- require razorqt-power in lightdm greeter

* Mon Oct 22 2012 wally <wally> 0.5.0-3.mga3
+ Revision: 309229
- build lightdm greeter

* Sat Oct 13 2012 matteo <matteo> 0.5.0-2.mga3
+ Revision: 305253
- fixed wmsession file

* Sat Oct 13 2012 matteo <matteo> 0.5.0-1.mga3
+ Revision: 305199
- new stable version

* Sat Oct 06 2012 matteo <matteo> 0.4.99-0.git20120914.8.mga3
+ Revision: 303039
- added missing dir macros
- added patch to show drakconf into quick launch
- new mga-light theme sources

* Fri Oct 05 2012 matteo <matteo> 0.4.99-0.git20120914.7.mga3
+ Revision: 302916
- fixed razorqt-data subpackage
- fixed razorqt-config subpackage requirement
- fixed razorqt-confupdate requirement
- new mga-light theme to support razorqt 0.4.99

* Fri Oct 05 2012 matteo <matteo> 0.4.99-0.git20120914.6.mga3
+ Revision: 302882
- fixed mga-light theme

* Wed Sep 26 2012 matteo <matteo> 0.4.99-0.git20120914.5.mga3
+ Revision: 298486
- fixed wrong obsolete release

* Wed Sep 26 2012 matteo <matteo> 0.4.99-0.git20120914.4.mga3
+ Revision: 298401
- bump release
- obsoleting previous subpkg

* Wed Sep 26 2012 matteo <matteo> 0.4.99-0.git20120914.3.mga3
+ Revision: 297863
- more granular subpackages

* Tue Sep 18 2012 wally <wally> 0.4.99-0.git20120914.2.mga3
+ Revision: 295989
- fix typo in devel pkg requires

* Sun Sep 16 2012 matteo <matteo> 0.4.99-0.git20120914.1.mga3
+ Revision: 294389
- fixed release
- fixed subpackage requirements
- validate all the desktop files
- new version

* Sun Mar 25 2012 matteo <matteo> 0.4.1-3.mga2
+ Revision: 226344
- removed no more used patch
- new sources
  - Fixed bug mga#4665

* Wed Mar 07 2012 matteo <matteo> 0.4.1-2.mga2
+ Revision: 221238
- bumped release
- added mainmenu patch (bugfix mga#4665)

* Sun Feb 19 2012 matteo <matteo> 0.4.1-1.mga2
+ Revision: 211017
- replacing git archive with stable version archive
- razorqt obsoletes antico

* Tue Feb 07 2012 matteo <matteo> 0.4.1-0.git.204.mga2
+ Revision: 205708
- fixed razorqt-config-mouse desktop file
- fixed missing semicolon into razorqt-autosuspend desktop file
- new version 0.4.1 (fixes bug mga#3846 and upstream issue #106)
- added razor-power subpackage

* Sun Jan 15 2012 matteo <matteo> 0.4.0-6.mga2
+ Revision: 196408
- fixed obsoletes

* Sun Jan 15 2012 matteo <matteo> 0.4.0-5.mga2
+ Revision: 196374
- added desktop file patch and desktop file validation
- fixed razor-config-mouse license definition
- included razorqxt license as doc
- added some useful comment
- fixed release
- new sources (razor-autosospend relicensed to lgplv2+)
- subpackages descriptions fixed
- new sources
- removed unused define
- new sources
- back to original patch provided into bug 3845
- fixing no razor sessions into kdm
- Fixed bug 3845 (wmsession files)
  Partially fixed bug 3846 (license issues) - waiting for upstream to complete

* Mon Dec 19 2011 matteo <matteo> 0.4.0-4.mga2
+ Revision: 184445
- screengrab suggested

* Mon Dec 19 2011 matteo <matteo> 0.4.0-3.mga2
+ Revision: 184395
- qlipper added as suggests

* Mon Dec 19 2011 dmorgan <dmorgan> 0.4.0-2.mga2
+ Revision: 184198
- Use a better description

* Mon Dec 19 2011 matteo <matteo> 0.4.0-1.mga2
+ Revision: 184073
- fixed razorqt-appswitcher group
- fixed xcursor BR
- added xcursor-devel as br; more suggests added
- added doxygen as BR; added some Suggests
- spec file reviewed
- spec file cleaned
- fixed all Groups; replaced etc with _sysconfdir macro
- fixed Group
- imported package razorqt

